using System;

namespace ZionVault.Logger
{
    class LogConsole : ILog
    {
        public enum LogType
        {
            DEBUG,
            ERROR,
            INFO
        }

        public void debug(string message)
        {
            WriteLog(LogType.DEBUG, message);
        }

        public void error(string message)
        {
            WriteLog(LogType.ERROR, message);
        }

        public void info(string message)
        {
            WriteLog(LogType.INFO, message);
        }

        private void WriteLog(LogType Type, string Message)
        {
            Console.WriteLine(String.Format("[{0}], {1} - {2}",
                Type.ToString("g"),
                DateTime.Now.ToString("hh:mm:ss dd/MM/yyyy"),
                Message));
        }
    }
}
